with Ada.Text_IO;
use  Ada.Text_IO;

package body Module.Console is

   procedure Start_Doc (Self : Object) is
   begin
      Ada.Text_IO.Put_Line("===========================> Module.Console.Start_Document");
   end Start_Doc;

   procedure End_Doc (Self : Object) is
   begin
      Ada.Text_IO.Put_Line("=============================> Module.Console.End_Document");
   end End_Doc;

   procedure Characters (Self : Object; Ch : String) is
   begin
      Ada.Text_IO.Put_Line(Ch);
   end Characters;

   procedure Element (Self : Object; Name : String) is
   begin
      Ada.Text_IO.Put_Line("=> Element : "&Name);
   end Element;

end Module.Console;

